Sales Order Payment
The sales order payment resource.
/salesOrderPaymentList sales order payments
Retrieve a paginated list of sales order payments. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/salesOrderPayment?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"paymentComplete": true,
"companyId": "xyz789",
"invoiceCustomerId": "xyz789",
"invoiceCustomerLocationId": "xyz789",
"invoiceCustomerContactId": "xyz789",
"paymentTermId": "xyz789",
"updatedAt": "2026-01-01T00:00:00Z"
}
]/salesOrderPaymentRetrieve a sales order payment
Fetch a single sales order payment by filtering on `id`.
Query parameters
idstringMatch on the sales order payment's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/salesOrderPayment?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"paymentComplete": true,
"companyId": "xyz789",
"invoiceCustomerId": "xyz789",
"invoiceCustomerLocationId": "xyz789",
"invoiceCustomerContactId": "xyz789",
"paymentTermId": "xyz789",
"updatedAt": "2026-01-01T00:00:00Z"
}/salesOrderPaymentCreate a sales order payment
Create a new sales order payment.
Body parameters
invoiceCustomerIdstringReferences customer.id
invoiceCustomerLocationIdstringReferences customerLocation.id
invoiceCustomerContactIdstringReferences customerContact.id
paymentTermIdstringReferences paymentTerm.id
paymentCompletebooleanrequiredcompanyIdstringrequiredReferences company.id
customFieldsobjectcurl --request POST \
--url https://rest.carbon.ms/salesOrderPayment \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"paymentComplete":true,"companyId":"xyz789"}'{
"id": "abc123def456",
"paymentComplete": true,
"companyId": "xyz789",
"invoiceCustomerId": "xyz789",
"invoiceCustomerLocationId": "xyz789",
"invoiceCustomerContactId": "xyz789",
"paymentTermId": "xyz789",
"updatedAt": "2026-01-01T00:00:00Z"
}/salesOrderPaymentUpdate a sales order payment
Update an existing sales order payment, matched on `id`.
Body parameters
invoiceCustomerIdstringReferences customer.id
invoiceCustomerLocationIdstringReferences customerLocation.id
invoiceCustomerContactIdstringReferences customerContact.id
paymentTermIdstringReferences paymentTerm.id
paymentCompletebooleanrequiredcompanyIdstringrequiredReferences company.id
customFieldsobjectcurl --request PATCH \
--url 'https://rest.carbon.ms/salesOrderPayment?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"invoiceCustomerId":"xyz789"}'{
"id": "abc123def456",
"paymentComplete": true,
"companyId": "xyz789",
"invoiceCustomerId": "xyz789",
"invoiceCustomerLocationId": "xyz789",
"invoiceCustomerContactId": "xyz789",
"paymentTermId": "xyz789",
"updatedAt": "2026-01-01T00:00:00Z"
}/salesOrderPaymentDelete a sales order payment
Delete a sales order payment, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the sales order payment to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/salesOrderPayment?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'